local composer = require ("composer")
local scene = composer.newScene()

local widget = require "widget"

local mainGroup


local function handleTouch(event)
    if (event.phase == "began") then
        if (event.target.id == "next") then
            local optionsChangeScene = {effect = "crossFade", time = 500}
            composer.gotoScene( "dom002", optionsChangeScene )    
        end
    end
    return true
end

function scene:create( event )
    mainGroup = self.view

    local optionsSceneName = { text = "dom001", fontSize = 100, font = "Arial" }
    local sceneName = display.newText( optionsSceneName )
    sceneName.x = display.contentCenterX
    sceneName.y = display.contentCenterY
    mainGroup:insert(sceneName)

    local optionsButtonNext = {
        shape = "rect",
        --fillColor = { default = colorButtonFillOver, over = colorButtonFillOver },
        width = display.contentWidth / 2,
        height = display.contentWidth / 4,
        label = "Change",
        --labelColor = { default = colorButtonFillDefault, over = colorButtonOver },
        font = "Arial",
        fontSize = 100,
        id = "next",
        onEvent = handleTouch,
    }
    local buttonNext = widget.newButton( optionsButtonNext )
    buttonNext.x = display.contentCenterX
    buttonNext.y = sceneName.y + sceneName.height + buttonNext.height
    mainGroup:insert(buttonNext)
end

function scene:show( event )
    local phase = event.phase

    if ( phase == "will" ) then

    elseif ( phase == "did" ) then
        composer.removeHidden()
    end
end

function scene:hide( event )
    local phase = event.phase

    if ( phase == "will" ) then
        
    elseif ( phase == "did" ) then
        
    end
end

function scene:destroy( event )
    
end

-- Listener setup
scene:addEventListener( "create", scene )
scene:addEventListener( "show", scene )
scene:addEventListener( "hide", scene )
scene:addEventListener( "destroy", scene )

return scene